%define name	opengroupware-webui-resource
%define version 5.0.0
%define cvs     20040523
%define release %{cvs}.1mdk

Summary:     	OpenGroupware.org WebUI resource
Name:        	%{name}
Version:     	%{version}
Release:     	%{release}
License:     	GPL
URL: 		http://www.opengroupware.org
Group:       	Networking/Other
Prefix:      	%{_libdir}/opengroupware.org
BuildRoot:  	%{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic opengroupware-webui-libs, opengroupware-webui-common
Source:      opengroupware.org-webui-resource-%{cvs}.tar.bz2
BuildArch: noarch
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: opengroupware-env

%description
This package contains parts of the OpenGroupware.org WebUI.

%package en
Summary:  The English part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-en

%description en
The English part of the OpenGroupware WebUI resources.

%package de
Summary:  The German part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-de

%description de
The German part of the OpenGroupware WebUI resources.

%package da
Summary:  The Danish part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-da

%description da
The Danish part of the OpenGroupware WebUI resources

%package fr
Summary:  The French part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-fr

%description fr
The French part of the OpenGroupware WebUI resources

%package it
Summary:  The Italian part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-it

%description it
The Italian part of the OpenGroupware WebUI resources

%package pt
Summary:  The Portuguese part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-pt

%description pt
The Portuguese part of the OpenGroupware WebUI resources

%package es
Summary:  The Spanish part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-es

%description es
The Spanish part of the OpenGroupware WebUI resources

%package pt_BR
Summary:  The Brazil/Portuguese part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-pt

%description pt_BR
The Brazil/Portuguese part of the OpenGroupware WebUI resources

%package nl
Summary:  The Dutch part of the OpenGroupware WebUI resources
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-nl

%description nl
The Dutch part of the OpenGroupware WebUI resources

%package ja
Summary:  The Japanese part of the OpenGroupware WebUI resources
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-ja

%description ja
The Japanese part of the OpenGroupware WebUI resources

%package pl
Summary:  The Polish part of the OpenGroupware WebUI resources
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-pl

%description pl
The Polish part of the OpenGroupware WebUI resources

%package sv
Summary:  The Swedish part of the OpenGroupware WebUI resources
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-sv

%description sv
The Swedish part of the OpenGroupware WebUI resources

%package hu
Summary:  The Hungarian part of the OpenGroupware WebUI resources
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-hu

%description hu
The Hungarian part of the OpenGroupware WebUI resources

%package no
Summary:  The Norwegian part of the OpenGroupware WebUI resources
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-no

%description no
The Norwegian part of the OpenGroupware WebUI resources 

%prep
%setup -q -n opengroupware.org-webui-resource

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
mkdir -p $I
cp -r Resources $I
rm -f $I/Resources/COPYRIGHT \
      $I/Resources/GNUmakefile \
      $I/Resources/ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files en
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/English.lproj

%files de
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/German.lproj

%files da
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Danish.lproj

%files fr
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/French.lproj

%files it
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Italian.lproj

%files pt
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Portuguese.lproj

%files es
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Spanish.lproj

%files pt_BR
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/ptBR.lproj

%files nl
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Dutch.lproj

%files ja
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Japanese.lproj

%files pl
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Polish.lproj

%files sv
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Swedish.lproj

%files hu
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Hungarian.lproj/*

%files no
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/Norwegian.lproj/*

%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20040523.1mdk
- 20040523

* Fri Feb 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.0.0-20040204.2mdk
- Own dir
- BuildRequires: opengroupware-env

* Thu Feb 12 2004 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20040204.1mdk
- 20040204
- Hungarian and Norwegian support

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20031201.1mdk
- new snapshot - bugfixes
- locales
- more language support

* Tue Oct 7 2003 Spencer Anderson <sdander@oberon.ark.com> 5.0-20031001.1mdk
- new snapshot
- specfile cleanup
- more language support

* Thu Sep 4 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile
